Package Details: zephir 0.9.7-1

Git Clone URL: https://aur.archlinux.org/zephir.git (read-only)
Package Base: zephir
Description: Zephir is a compiled high level language aimed to the creation of C-extensions for PHP http://zephir-lang.com/
Upstream URL: https://github.com/phalcon/zephir
Keywords: develop php
Licenses: MIT
Submitter: wolftankk
Maintainer: wolftankk
Last Packager: wolftankk
Votes: 5
Popularity: 0.528281
First Submitted: 2014-08-07 10:45
Last Updated: 2017-04-06 05:24

Latest Comments

illuser commented on 2016-08-03 15:09

zephir is now on version 0.9.3, which provides support for compiling extensions for php7.

As well, the license for zephir is the MIT license, not GPL.

milko commented on 2014-09-26 10:14

Got an error while installing:
==> zephir dependencies:
[...]
- lib32-pcre (building from AUR)

==> Install or build missing dependencies for zephir:
error: target not found: lib32-pcre

I commented out the following lines in PKGBUILD, to complete the installation:

if [ $CARCH = "i686" ]; then
makedepends+=('lib32-pcre');
fi

This is my system info:
Linux [...] 3.16.3-1-ARCH #1 SMP PREEMPT Wed Sep 17 22:00:02 CEST 2014 i686 GNU/Linux

I doubt this is the proper way to fix this, just mentioning for further investigation/discussion.